Class AuthWebService.LoginRequest

java.lang.Object
ubic.gemma.rest.AuthWebService.LoginRequest
Enclosing class:
AuthWebService

public static class AuthWebService.LoginRequest extends Object
JSON body for POST /login. JAX-RS / Jackson populates this via the @Consumes(APPLICATION_JSON) provider. Lombok @Data would be nicer but the rest of this module favors plain POJOs for SwaggerCore-discovered request bodies; sticking with that.
  • Field Details

    • username

      @Nullable public String username
    • password

      @Nullable public String password
  • Constructor Details

    • LoginRequest

      public LoginRequest()
  • Method Details

    • getUsername

      @Nullable public String getUsername()
    • setUsername

      public void setUsername(@Nullable String username)
    • getPassword

      @Nullable public String getPassword()
    • setPassword

      public void setPassword(@Nullable String password)